<!-- Copyright (c) Vincent Dardel, <vindarez@mailz.org>,  Abelujo Developers-->
<!-- See the COPYRIGHT file at the top-level directory of this distribution-->
<!-- Abelujo is free software: you can redistribute it and/or modify-->
<!-- it under the terms of the GNU Affero General Public License as published by-->
<!-- the Free Software Foundation, either version 3 of the License, or-->
<!-- (at your option) any later version.-->
<!-- Abelujo is distributed in the hope that it will be useful,-->
<!-- but WITHOUT ANY WARRANTY; without even the implied warranty of-->
<!-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the-->
<!-- GNU Affero General Public License for more details.-->
<!-- You should have received a copy of the GNU Affero General Public License-->
<!-- along with Abelujo.  If not, see <http://www.gnu.org/licenses/>.-->
<!-- Front end code to share between different views that do an inventory (inventory_view, command_receive)-->
<!-- The template needs to "extends base", start the block content,-->

{% load i18n %}
{% load bootstrap3 %}
{% bootstrap_css %}
{% bootstrap_javascript %}
{% load ngfilter %}

<div ng-controller={{ controller }}>
  <div>
    <uib-alert ng-repeat="alert in alerts" type="{{ 'alert.level' | ng }}" close="closeAlert($item)" ng-click="closeAlert($item)">{{ 'alert.message' | ng }}

    </uib-alert>
  </div>
  <div class="row">
    <div class="col-lg-4">
      <h3 id="title">{% trans "Inventory of " %}{{ 'cur_inv' | ng }}</h3>
    </div>
  </div>
  <form method="get">
    <div class="row">
      <div class="col-md-4">
        <table class="table table-condensed">
          <tbody>
            <tr>
              <td>{% trans "Nb of cards" %}</td>
              <td>{{ 'nb_cards'| ng }}</td>
            </tr>
            <tr>
              <td>{% trans "nb of copies" %}</td>
              <td>{{ 'nb_copies'|ng }}</td>
            </tr>
          </tbody>
        </table>
      </div>
      <div class="col-md-4">
        <table class="table table-condensed">
          <tr>
            <td>{% trans "Total value" %}</td>
            <td>{{ 'total_value' | ng }} {{ 'meta.currency' | ng }}</td>
          </tr>
        </table>
      </div>
    </div>
    <div class="row">
      <div class="row">
        <div class="col-md-10">
          <div class="col-md-2">
            <btn ng-click="terminate()" class="btn btn-success">{% trans "Analyse…" %}</btn><a href="http://abelujo.cc/docs/inventories/" target="_blank">
              <btn title="{% trans "Read the documentation" %}" class="btn btn-default"><i class="glyphicon glyphicon-question-sign"></i>
              </btn></a>
          </div>
          <div class="col-lg-8">
            <input type="checkbox" ng-model="showAll" ng-change="setCardsToShow()"/><span ng-click="toggleCardsToShow()">{% trans "Show all cards inventoried" %}</span>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-md-8">
          <p class="input-group" style="margin-top: 5px">
            <input type="text" typeahead-loading="loadingCards" ng-model="{% verbatim %}copy_selected{% endverbatim %}" uib-typeahead="{% verbatim %} copy.repr for copy in getCards($viewValue, card_type_id) {% endverbatim %}" typeahead-min-length="3" typeahead-wait-ms="300" typeahead-on-select="add_selected_card($item)" title="{% trans 'Use TAB to validate your choice, Enter to proceed.'%}" id="default-input" placeholder="{% trans "Search any isbn, search by keywords in your stock" %}" autocomplete="off" tabindex="1" class="nullable form-control"/><span class="input-group-btn">
              <button class="btn btn-default"><i class="glyphicon glyphicon-search"></i>
              </button></span>
          </p>
        </div>
      </div>
    </div>
  </form>
  <div ng-show="cards_to_show.length > 0">
    <div class="col-md-7">
      <div class="btn-group"><span aria-label="page navigation" class="text-right">
          <ul ng-show="true" class="pagination">
            <li class="page-item"><a ng-click="firstPage()" class="page-link">&laquo;</a>
            </li>
            <li class="page-item"><a ng-click="previousPage()" class="page-link"><</a>
            </li>
            <li class="page-item"><a class="page-link">Page {{ 'page' | ng }} / {{ 'meta.num_pages' | ng }} ({{ 'meta.nb_results' | ng }})</a>
            </li>
            <li class="page-item"><a ng-click="nextPage()" class="page-link">></a>
            </li>
            <li class="page-item"><a ng-click="lastPage()" class="page-link">&raquo;</a>
            </li>
          </ul></span>
      </div>
      <div class="btn-group">
        <select ng-show="true || todo" ng-model="page_size" ng-options="it for it in page_sizes" style="width: 5em" class="form-control"></select>
      </div>
    </div>
    <table class="table table-condensed">
      <thead>
        <tr>
          <th>{% trans "Title" %}</th>
          <th>{% trans "Author" %}</th>
          <th>{% trans "Price" %}</th>
          <th>{% trans "with discount" %}</th>
          <th>{% trans "Quantity" %}</th>
          <th></th>
        </tr>
      </thead>
      <tbody>
        <tr ng-show="cards_to_show" ng-repeat="card in cards_to_show" class="my-animated-item repeated-item">
          <td class="col-md-5"><a href="{{ 'card.url ' | ng }}">{{ 'card.title' | ng }}</a>
          </td>
          <td class="col-md-3"><span>{{ 'card.authors_repr' | ng }}</span><i ng-show="{% verbatim %} cards_to_show[$index].ambiguous_sell {% endverbatim %}" title="{% trans 'There is a conflict with deposits.' %}" class="glyphicon glyphicon-warning-sign"></i><i class="glyphicon glyphicon-exclamation-s"></i>
          </td>
          <td class="col-md-1">{{ 'card.price_fmt' | ng }}</td>
          <td class="col-md-1">{{ 'card.price_discounted_fmt' | ng }}</td>
          <td class="col-md-3">
            <p class="input-group">
              <label class="sr-only">{% trans "Quantity" %}</label><span class="input-group-addon">X</span>
              <input type="number" min="0" max="99" ng-model="cards_to_show[$index].quantity" ng-change="updateCard($index)" tabindex="{{ '$index+2' | ng }}" class="form-control"/>
            </p>
          </td>
          <td class="col-md-1"><i ng-click="remove_from_selection($index)" style="float: right;" class="glyphicon glyphicon-remove mouse-pointer"></i>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</div>
